---
title: "Get attributes"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reports

`GET /v2/reports/{id}/attributes`

## Path parameters

- `id` (`report-get-attributes.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/reports/<id>/attributes'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reports/<id>/attributes';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reports/<id>/attributes"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "attributes": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9",
        "traitType": "string",
        "value": "string",
        "isAutoExtracted": true,
        "confidence": 0,
        "source": "string",
        "createdAt": "string",
        "updatedAt": "string"
      }
    ],
    "report": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "description": "string",
      "reportHash": "string",
      "documentType": "string",
      "createdAt": "string",
      "entityName": "string",
      "imageUrl": "string"
    }
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`report-get-attributes.response.200.data`; object, required)
  - `attributes` (`report-get-attributes.response.200.data.attributes`; array<object>, required)
    - `id` (`report-get-attributes.response.200.data.attributes.id`; string, required)
      - format `uuid`
    - `reportId` (`report-get-attributes.response.200.data.attributes.reportId`; string, required)
      - format `uuid`
    - `traitType` (`report-get-attributes.response.200.data.attributes.traitType`; string, required)
    - `value` (`report-get-attributes.response.200.data.attributes.value`; string, required)
    - `isAutoExtracted` (`report-get-attributes.response.200.data.attributes.isAutoExtracted`; boolean, required)
    - `createdAt` (`report-get-attributes.response.200.data.attributes.createdAt`; string, required)
    - `updatedAt` (`report-get-attributes.response.200.data.attributes.updatedAt`; string, required)
    - `confidence` (`report-get-attributes.response.200.data.attributes.confidence`; number, optional, nullable)
    - `source` (`report-get-attributes.response.200.data.attributes.source`; string, optional, nullable)
  - `report` (`report-get-attributes.response.200.data.report`; object, required)
    - `id` (`report-get-attributes.response.200.data.report.id`; string, required)
      - format `uuid`
    - `title` (`report-get-attributes.response.200.data.report.title`; string, required, nullable)
    - `description` (`report-get-attributes.response.200.data.report.description`; string, required, nullable)
    - `reportHash` (`report-get-attributes.response.200.data.report.reportHash`; string, required, nullable)
    - `documentType` (`report-get-attributes.response.200.data.report.documentType`; string, required, nullable)
    - `createdAt` (`report-get-attributes.response.200.data.report.createdAt`; string, required)
    - `entityName` (`report-get-attributes.response.200.data.report.entityName`; string, required, nullable)
    - `imageUrl` (`report-get-attributes.response.200.data.report.imageUrl`; string, required)
- `meta` (`report-get-attributes.response.200.meta`; object, optional)
  - `timestamp` (`report-get-attributes.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-attributes.response.400.error`; object, required)
  - `code` (`report-get-attributes.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-attributes.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-attributes.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-attributes.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-attributes.response.401.error`; object, required)
  - `code` (`report-get-attributes.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-attributes.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-attributes.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-attributes.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-attributes.response.403.error`; object, required)
  - `code` (`report-get-attributes.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-attributes.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-attributes.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-attributes.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-attributes.response.404.error`; object, required)
  - `code` (`report-get-attributes.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-attributes.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-attributes.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-attributes.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-attributes.response.500.error`; object, required)
  - `code` (`report-get-attributes.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-attributes.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-attributes.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-attributes.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/report-get-attributes/index.md
